Subject: Re: Comments on draft-rajan-policy-qosschema-00

From: [email-masked]
Date: Wed, 04 Nov 1998 16:17:21 +0000

The following is being forwarded to the policy mailing list.
Message originally sent by Raju Rajan <[email-masked]>
---------------------------------------------------------------------------

Hi Ryan,

 In your opinion, is it sufficient to make CN an optional attribute, or do we
need to introduce other attributes? Could you send me a few lines suggesting
appropriate wording for RDNs and the relation to naming schemes? I am not an
LDAP expert and would be happy to receive your suggestions.

Regards,

raju rajan

ps: Other responses inline

[email-masked] wrote:
> 
> In reading draft-rajan-policy-qosschema-00, the following points have
> come up:
> 
> In RFC 2247, the "dc" component is introduced as a potential RDN.  In
> RFC 2377, this concept is extended by introducing the "uid" component
> as a potential RDN.  By requiring [MUST] "CommonName" as the RDN for
> all objects in this schema, you preclude anyone from building a naming
> plan based on "dc" and "uid". Rather, CommonName, DomainComponent, and
> UniqueIdentifier should all be optional [MAY].  This allows directory
> implementors more flexibility in setting up their naming plans.
> 
> In addition to this, it would also be useful if PolicyContainmentAuxClass
> also included the Domain class in the list of potential parents.

Will do so.

> 
> Now for the editorial comments:
> 
> TCPActionName is not included in the TCPAction Class declaration.
> 
> RSVPUserAuthPolicy is not included in the RSVPAction Class declaration.
> 

Will add these.

> Since most of the introductory classes are identical to
> draft-ietf-ipsec-vpn-policy-schema-xx,
> it makes more sense to refer to that draft and just discuss the name
> Classes (TCPAction, RSVPAction, DiffServAction, DiffServResourceGroup and
> RSVPResourceGroup)

A suggestion that has been actively discussed, is to move the core classes to a
seperate document, which will be referenced from both existing drafts, as
neither is really more fundamental than the other. We will most likely be doing
so.

---

From: [email-masked]
Date: Wed, 4 Nov 1998 15:37:22 -0800 (PST)

The following is being forwarded to the policy mailing list.
Message originally sent by Randy Bush <[email-masked]>
---------------------------------------------------------------------------

can this list please be moved to a site which handles internet mailing
lists?

randy